import { jsx } from "react/jsx-runtime";
import { TrashIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Trash = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "Trash", ...props, children: /* @__PURE__ */ jsx(TrashIcon, { weight: variant }) });
  }
);
Trash.displayName = "Trash";
Object.assign(Trash, { isGdsIcon: true });
export {
  Trash
};
